%define pkgname %(echo %name | cut -d- -f2- | tr - _)
Name:          python-pystray
Version:       0.19.5
Release:       2mamba
Summary:       Python library to create a system tray icon
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/moses-palmer/pystray
Source:        https://github.com/moses-palmer/pystray.git/v%{version}/pystray-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython311-devel
BuildRequires: python3.11dist(pillow)
BuildRequires: python3.11dist(python-xlib)
BuildRequires: python3.11dist(six)
## AUTOBUILDREQ-END

%description
%{summary}.

%if 0%{?with_pyver}
%define py_requires_append \
Requires:      libappindicator3
%pyver_package
%endif

%prep
%setup -q -n pystray-%{version}

%build
CFLAGS="%{optflags}" %{__python} -m build --no-isolation --wheel

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} -m installer --destdir=%{buildroot} dist/*.whl

#%if "%{?with_pyver}" != "3"
## Rename any conflicting file outside of python site packages tree
#for f in %{_bindir}/pdm; do
#   mv %{buildroot}${f}{,-%{?pyappend}}
#done
#%endif

%files %{?pyappend}
%defattr(-,root,root)
%dir %{python_sitelib}/%{pkgname}-%{version}.dist-info
%{python_sitelib}/%{pkgname}-%{version}.dist-info/*
%dir %{python_sitelib}/%{pkgname}
%{python_sitelib}/%{pkgname}/*
%doc COPYING

%changelog
* Thu Jan 11 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 0.19.5-2mamba
- rebuilt with python3 == 3.11

* Mon Sep 18 2023 Automatic Build System <autodist@mambasoft.it> 0.19.5-1mamba
- automatic version update by autodist

* Wed Mar 22 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 0.19.4-4mamba
- rebuilt with python 3.10 only

* Wed Mar 22 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 0.19.4-3mamba
- rebuilt with python 3.10

* Mon Jan 02 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 0.19.4-2mamba
- require libappindicator3

* Thu Nov 10 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 0.19.4-1mamba
- package created using the webbuild interface
